Bug 841180 - DecodeNameReq buffer overflow
Summary: DecodeNameReq buffer overflow
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pcp   
(Show other bugs)
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nathan Scott
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks: 840765 CVE-2012-3418
TreeView+ depends on / blocked
 
Reported: 2012-07-18 11:00 UTC by Florian Weimer
Modified: 2012-08-20 03:53 UTC (History)
4 users (show)

Fixed In Version: pcp-3.6.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-20 03:53:54 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Resolve issues in decoding PCP namereq PDUs (1.06 KB, patch)
2012-07-27 06:29 UTC, Nathan Scott
no flags Details | Diff
Updated patch to address PCP namereq PDU decoding issues (1.02 KB, patch)
2012-07-29 01:10 UTC, Nathan Scott
no flags Details | Diff

Description Florian Weimer 2012-07-18 11:00:21 UTC
DecodeNameReq does not check the namelen field against the PDU size.  This can lead to a crash.  DecodeNameReq is exposed by pmcd through PDU_PMNS_CHILD and PDU_PMNS_TRAVERSE processing.  No authentication is required.

Comment 2 Mark Goodwin 2012-07-22 23:44:49 UTC
Nathan requested assignment, thanks Nathan.

Comment 3 Nathan Scott 2012-07-27 06:29:04 UTC
Created attachment 600700 [details]
Resolve issues in decoding PCP namereq PDUs

Comment 4 Florian Weimer 2012-07-27 13:47:46 UTC
namelen+1 >= INT_MAX is always false.  But the comparison appears to be unnecessary in this case.

Comment 5 Nathan Scott 2012-07-29 01:10:12 UTC
Created attachment 600961 [details]
Updated patch to address PCP namereq PDU decoding issues

Incorporate Florian's review comments.

Comment 6 Florian Weimer 2012-07-30 12:24:47 UTC
(In reply to comment #5)
> Created attachment 600961 [details]
> Updated patch to address PCP namereq PDU decoding issues
> 
> Incorporate Florian's review comments.

Looks good to me.

Comment 7 Huzaifa S. Sidhpurwala 2012-08-16 03:52:33 UTC
Upstream patch:

http://oss.sgi.com/cgi-bin/gitweb.cgi?p=pcp/pcp.git;a=commit;h=bfb3ab8c6b3d75b1a6580feee76a7d0925a3633c

This issue has been addressed in pcp-3.6.5


Note You need to log in before you can comment on or make changes to this bug.